QuantLib: Observable Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
Observable Class Reference
Design patterns

Object that notifies its changes to a set of observers. More...

`#include <ql/patterns/observable.hpp>`

Inherited by BootstrapHelper< YoYInflationTermStructure >, BootstrapHelper< YoYOptionletVolatilitySurface >, BootstrapHelper< ZeroInflationTermStructure >, LatentModel< copulaPolicy >`[virtual]`, LatentModel< GaussianCopulaPolicy >`[virtual]`, AffineModel`[virtual]`, BootstrapHelper< TS >, CalibratedModel`[virtual]`, Claim, CommodityIndex, DefaultLossModel, Event, FdmQuantoHelper, FloatingRateCouponPricer`[virtual]`, Handle< T >::Link, Index, InflationCouponPricer`[virtual]`, LatentModel< copulaPolicyImpl >`[virtual]`, LazyObject`[virtual]`, MarketModelFactory, PricingEngine, Quote`[virtual]`, RandomDefaultModel, RecoveryRateModel`[virtual]`, RendistatoBasket, SmileSection`[virtual]`, StochasticProcess, TermStructure`[virtual]`, and TermStructureConsistentModel`[virtual]`.

## Public Member Functions
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Friends
class | Observer

## Detailed Description

Object that notifies its changes to a set of observers.

## Member Function Documentation

Observable & operator= | ( | const Observable & | o | ) |

Warning:
  notification is sent before the copy constructor has a chance of actually change the data members. Therefore, observers whose update() method tries to use their observables will not see the updated values. It is suggested that the update() method just raise a flag in order to trigger a later recalculation.

void notifyObservers | ( |  | ) |

This method should be called at the end of non-const methods or when the programmer desires to notify any changes.